---
updatedAt: 2026-05-13T09:03:47.000Z
---

# Get team IDs

Get team IDs

## Details

Returns team IDs.
Use this endpoint to find Team IDs to pass with the `teamIds` query parameter when generating the following exports:

Raw Team Performance - [/reports/report/team\_performance](https://developer.khoros.com/khoroscaredevdocs/reference/reportsreportteam_performance)
Team Performance Interval - [/reports/report/team\_performance\_interval](https://developer.khoros.com/khoroscaredevdocs/reference/reportsreportteam_performance_interval)
Raw Response Approval  - [/reports/report/response\_approval](https://developer.khoros.com/khoroscaredevdocs/reference/reportsreportresponse_approval)

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "analytics-reports",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://analytics-api.app.lithium.com/api/public"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/teams": {
      "get": {
        "summary": "Get team IDs",
        "description": "Get team IDs",
        "operationId": "teams",
        "parameters": [
          {
            "name": "companyKey",
            "in": "query",
            "description": "The company key found in **Account Admin > General Settings > Analytics API Settings**.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "Formatted JSON Data\n{\n  \"status\":\"PASS\",\n  \"request\":null,\n  \"message\":null,\n  \"result\":[\n    {\n      \"uuid\":\"4c1d5194-8946-4e7f-aa8e-6315b3379bf3\",\n      \"teamId\":6222,\n      \"name\":\"North West\",\n      \"description\":null,\n      \"numberOfMembers\":3\n    },\n    {\n      \"uuid\":\"6af42c52-ff19-4b3b-bd0c-d4cf617f27f8\",\n      \"teamId\":7031,\n      \"name\":\"South West\",\n      \"description\":null,\n      \"numberOfMembers\":3\n    }\n  ]\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -u [USERNAME]:[PASSWORD] \\\n  'https://analytics-api.app.lithium.com/api/public/teams?companyKey=[COMPANY_KEY]"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```